Subject: Ticket Assigned - Returns
From: Max <[email-masked]>
To: [email-masked]
Date: Sun, 05 Dec 2021 07:22:05 +0000

Hi Ali Atef,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Returns I made a request to return two pieces of order number 6359828932
It has been more than a month and the representative has not contacted me to pick them up yet
Note that there was a wrong number in my phone number and I called your customer service more than 8 times and every time the number is modified and I am told that I will be contacted through your representative within days and nothing happens
I asked to return them through the branch, they said that I had exceeded the period of time allowed to return the products to the branch..
Extremely bad experience
I hope to deal with the problem as soon as possible... The issue is very simple and does not need all this wasted time

Th right mobile number: 0591039427 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/3463570